summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-03-05 21:16:50 +0000
committer Eric Hameleers <alien@slackware.com>2024-03-05 23:05:14 +0100
commit367bace23da4d361a74c59d265e4f9a22635dbc5 (patch)
treec964934b933838ebedab21023feaa8c631c504a9 /source/l
parent2b9bc64077432359d6c3c1cbd555e30e1e1b8ba4 (diff)
downloadcurrent-367bace23da4d361a74c59d265e4f9a22635dbc5.tar.gz
current-367bace23da4d361a74c59d265e4f9a22635dbc5.tar.xz
Tue Mar 5 21:16:50 UTC 202420240305211650
l/gst-plugins-bad-free-1.24.0-x86_64-1.txz: Upgraded. l/gst-plugins-base-1.24.0-x86_64-1.txz: Upgraded. l/gst-plugins-good-1.24.0-x86_64-1.txz: Upgraded. l/gst-plugins-libav-1.24.0-x86_64-1.txz: Upgraded. l/gstreamer-1.24.0-x86_64-1.txz: Upgraded. l/libnice-0.1.22-x86_64-1.txz: Upgraded. l/opus-1.5.1-x86_64-1.txz: Upgraded. l/pycairo-1.26.0-x86_64-2.txz: Rebuilt. Build with meson so that the pkgconfig file is included. Thanks to jloco. l/sof-firmware-2023.12.1-noarch-1.txz: Upgraded. n/postfix-3.8.6-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.postfix.org/announcements/postfix-3.8.6.html xap/mozilla-thunderbird-115.8.1-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/115.8.1/releasenotes/ https://www.mozilla.org/en-US/security/advisories/mfsa2024-11/ https://www.cve.org/CVERecord?id=CVE-2024-1936 (* Security fix *) xap/x3270-4.3ga6-x86_64-1.txz: Upgraded. xfce/xfce4-screensaver-4.18.3-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/gst-plugins-bad-free/fetch-sources.sh2
-rwxr-xr-xsource/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh3
-rwxr-xr-xsource/l/opus/opus.SlackBuild49
-rw-r--r--source/l/opus/opus.url1
-rwxr-xr-xsource/l/pycairo/pycairo.SlackBuild26
-rw-r--r--source/l/sof-firmware/sof-firmware.url2
6 files changed, 56 insertions, 27 deletions
diff --git a/source/l/gst-plugins-bad-free/fetch-sources.sh b/source/l/gst-plugins-bad-free/fetch-sources.sh
index c1d565035..2f5ce2090 100755
--- a/source/l/gst-plugins-bad-free/fetch-sources.sh
+++ b/source/l/gst-plugins-bad-free/fetch-sources.sh
@@ -26,7 +26,7 @@
#
# Example: VERSION=1.18.5 ./fetch-sources.sh
-VERSION=${VERSION:-1.22.10}
+VERSION=${VERSION:-1.24.0}
rm -rf rm -rf gst-plugins-bad-free-$VERSION gst-plugins-bad-$VERSION
diff --git a/source/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh b/source/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh
index bf40af2bc..5c24c2269 100755
--- a/source/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh
+++ b/source/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh
@@ -55,6 +55,7 @@ h264parse
hdvparse
hls
id3tag
+insertbin
inter
interlace
invtelecine
@@ -73,6 +74,7 @@ mpegpsmux
mpegtsdemux
mpegtsmux
mpegvideoparse
+mse
mxf
netsim
nsf
@@ -103,6 +105,7 @@ switchbin
timecode
transcode
tta
+unixfd
valve
videofilters
videoframe_audiolevel
diff --git a/source/l/opus/opus.SlackBuild b/source/l/opus/opus.SlackBuild
index 54c54d736..5a42dac8e 100755
--- a/source/l/opus/opus.SlackBuild
+++ b/source/l/opus/opus.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2017, 2018, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -85,28 +85,31 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Configure:
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --sysconfdir=/etc \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
- --docdir=/usr/doc/${PKGNAM}-$VERSION \
- --infodir=/usr/info \
- --disable-static \
- --enable-custom-modes \
- --enable-rtcd \
- --enable-intrinsics \
- --enable-ambisonics \
- --build=$ARCH-slackware-linux || exit 1
-
-# Build and install:
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dcustom-modes=true \
+ -Drtcd=enabled \
+ -Dintrinsics=enabled \
+ -Ddocdir=/usr/doc/opus-$VERSION \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Strip binaries:
( cd $PKG
@@ -114,6 +117,10 @@ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+# Install man pages:
+mkdir -p $PKG/usr/man/man3
+cp -a meson-build/doc/man/man3/opus*.3 $PKG/usr/man/man3
+
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
diff --git a/source/l/opus/opus.url b/source/l/opus/opus.url
new file mode 100644
index 000000000..20a53ca0a
--- /dev/null
+++ b/source/l/opus/opus.url
@@ -0,0 +1 @@
+https://downloads.xiph.org/releases/opus
diff --git a/source/l/pycairo/pycairo.SlackBuild b/source/l/pycairo/pycairo.SlackBuild
index d835d5080..bcd47b7fd 100755
--- a/source/l/pycairo/pycairo.SlackBuild
+++ b/source/l/pycairo/pycairo.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pycairo
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -81,9 +81,27 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-unshare -n python3 -m build --wheel --no-isolation || exit 1
-
-python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/sof-firmware/sof-firmware.url b/source/l/sof-firmware/sof-firmware.url
index 067d45f83..f7ff05b76 100644
--- a/source/l/sof-firmware/sof-firmware.url
+++ b/source/l/sof-firmware/sof-firmware.url
@@ -1,2 +1,2 @@
https://github.com/thesofproject/sof-bin/releases
-https://github.com/thesofproject/sof-bin/releases/download/v2023.12/sof-bin-2023.12.tar.gz
+https://github.com/thesofproject/sof-bin/releases/download/v2023.12.1/sof-bin-2023.12.1.tar.gz